Parse Error Syntax Error T_FUNCTION ....

If you receive an error such as below please follow this guide:

Parse error: syntax error, unexpected T_FUNCTION in \vhosts\yourdomain.com\httpdocs\wp-content\plugins\optimizePressPlugin\lib\framework.php on line 299"

The Parse error you are receiving is because OptimizePress requires version 5.3 of PHP or above. Some of the latest features in OptimizePress require this and therefore if you're running an older version of PHP you may receive errors such as this.

To fix this, you need to contact your hosting company and ask them to upgrade your hosting to use version 5.3 or above of PHP (version 5.4 or 5.5 will also work).

Unfortunately this is not something we can change from our side as it is reliant on your hosting company to make this change.